# Create or Update Batch SubscriberAccum

Create or Update multiple SubscriberAccum at once.  If the entity exists, it will be updated.  If the entity does not exist, it will be created.

Endpoint: PUT /subscribers/{subscriberID}/groups/{groupID}/accumulators-batch
Version: v1
Security: apiKeyAuth, bearerAuth

## Security:

  - `apiKeyAuth` (unknown)
    apiKey in header x-api-key

  - `bearerAuth` (unknown)
    http bearer JWT

## Path parameters:

  - `subscriberID` (string, required)
    Subscriber ID

  - `groupID` (string, required)
    Group ID

## Header parameters:

  - `vbasoftware-database` (string, required)
    Target database

## Request fields (application/json):

  - `subscriber_ID` (string, required)
    References Subscribers.Subscriber_ID value on the parent record.

  - `group_ID` (string, required)
    Identifier assigned to the Group associated with this Prior Accumulator.

  - `plan_Year` (string, required)
    Plan Year associated with this Subscriber Accumulator.

  - `plan_Type` (string, required)
    Plan Type associated with this Subscriber Accumulator.

  - `benefit_Code` (string, required)
    Benefit Code associated with this Subscriber Accumulator.

  - `added_Accum` (string)
    Identifies that this Accumulator is an Added Accumulator.

  - `allowed_Amt` (number, required)
    Total Allowed amount. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `allowed_Amt_Net` (number, required)
    Allowed amount that has been used In Network. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `allowed_Amt_OON` (number, required)
    Allowed amount that has been used Out of Network. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `benefit_Used` (number, required)
    Total amount of benefit that has been used. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `benefit_Used_Net` (number, required)
    Net amount of benefit that has been used. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `benefit_Used_OON` (number, required)
    Amount of benefit that has been used Out of Network. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `billed_Amt` (number, required)
    Amount that has been billed. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `billed_Amt_Net` (number, required)
    Amount that has been billed In Network. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `billed_Amt_OON` (number, required)
    Amount that has been billed Out of Network. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `coB_Amt` (number, required)
    Total Coordination of Benefits amount that has been used. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `coB_Amt_Net` (number, required)
    Net Coordination of Benefits amount that has been used. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `coB_Amt_OON` (number, required)
    Coordination of Benefits amount that has been used Out of Network. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `coins_Amt` (number, required)
    Total amount of Coinsurance that has been used. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `coins_Amt_Net` (number, required)
    Net amount of Coinsurance that has been used. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `coins_Amt_OON` (number, required)
    Amount of Coinsurance that has been used Out of Network. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `copay_Amt` (number, required)
    Total amount of Copay that has been used. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `copay_Amt_Net` (number, required)
    Net amount of Copay that has been used. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `copay_Amt_OON` (number, required)
    Amount of Copay that has been used Out of Network. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `ded_Credit_OON_Used` (number, required)
    Amount of deductible credit that has been used Out of Network. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `ded_Credit_PPO_Used` (number, required)
    Net amount of deductible credit that has been used. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `ded_Credit_Used` (number, required)
    Total amount of deductible credit that has been used. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `ded_PPO_Used` (number, required)
    Net amount of deductible that has been used. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `deductible_Used` (number, required)
    Total amount of deductible that has been used. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `deductible_Used_OON` (number, required)
    Amount of deductible that has been used Out of Network. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `entry_Date` (string)
    Date when the record was first added to the system.

  - `entry_User` (string)
    User that first added the record to the system.

  - `not_Covered_Amt` (number, required)
    Total amount that is not covered. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `not_Covered_Amt_Net` (number, required)
    Net amount that is not covered. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `not_Covered_OON` (number, required)
    Out of Network amount that is not covered. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `out_Of_Pocket` (number, required)
    Total Out of Pocket amount that has been used. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `out_Of_Pocket_Net` (number, required)
    Amount of Out of Pocket that has been used In Network. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `out_Of_Pocket_OON` (number, required)
    Amount of Out of Pocket that has been used Out of Network. Note: This field is marked as NOT NULL in the database and therefore required by the API.

  - `update_Date` (string)
    Date when the record was last updated in the system.

  - `update_User` (string)
    User that last updated the record in the system.

## Response 207:

  - `207` (unknown)
    Success

## Response 207 fields (application/json):

  - `data` (array)

  - `data.id` (array, required)
    List of key/value pairs that represent the unique id for the entity operation.

  - `data.id.key` (string)

  - `data.id.value` (string)

  - `data.status` (integer, required)
    http status of the operation (eg, 200, 201, 500)

  - `data.body` (string, required)
    operation message (eg, Updated, Created, Error message)

  - `error` (object)

  - `error.detail` (string)
    A human-readable explanation specific to this occurrence of the problem.

  - `error.instance` (string)
    A URI reference that identifies the specific occurrence of the problem.It may
or may not yield further information if dereferenced.

  - `error.status` (integer)
    The HTTP status code([RFC7231], Section 6) generated by the origin server for
this occurrence of the problem.

  - `error.title` (string)
    A short, human-readable summary of the problem type.It SHOULD NOT change from
occurrence to occurrence of the problem, except for purposes of localization(e.g.,
using proactive content negotiation; see[RFC7231], Section 3.4).

  - `error.type` (string)
    A URI reference [RFC3986] that identifies the problem type. This specification
encourages that, when dereferenced, it provide human-readable documentation for
the problem type (e.g., using HTML [W3C.REC-html5-20141028]). When this member
is not present, its value is assumed to be "about:blank".

  - `debug` (object)

  - `debug.activityID` (string, required)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 403:

  - `403` (unknown)
    Forbidden. The x-api-key header is missing or not valid. The API gateway sends this response, not VBAPI, so the body is not the VBAPI envelope; see Errors and troubleshooting.

## Response 429:

  - `429` (unknown)
    Too many requests. The limit is 25 requests per second sustained, with bursts up to 50, per API key. Wait and retry with exponential backoff and jitter.

